Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: Can't install applications. 13.2

  1. #1
    Join Date
    Jan 2013
    Location
    Porto
    Posts
    82

    Default Can't install applications. 13.2

    Hello,

    Lately I’m having problems installing applications. I'm using Opensuse 13.2 x86-x64 and i tried to install VirtualBox (downloaded from the site) but gave me an error "installation aborted by user". After that i tried via repositories an after the install it didn't open, i found that it was installed "vboxgtk" instead "vboxqt", then it worked...

    But the same is happening with TeamViewer. I tried the latest build and the older one and can't install it. Funny is, in my wife's PC, it's the same problem.

    Both systems are fully updated and working well (besides this problem).

    Any thoughts?

    P.S. I'm not using my nvidia driver 'cause it's not important nowadays and in my wife's pc there are no ATI drivers installed too. I hope think this is causing the problem.


    Thanks in advance

  2. #2
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Can't install applications. 13.2

    On 2015-08-06 00:46, hugosyt wrote:
    > site) but gave me an error "installation aborted by user".


    you are using apper. use YaST or zypper instead.

    --
    Cheers / Saludos,

    Carlos E. R.

    (from 13.1 x86_64 "Bottle" (Minas Tirith))

  3. #3
    Join Date
    Jan 2013
    Location
    Porto
    Posts
    82

    Default Re: Can't install applications. 13.2

    Quote Originally Posted by robin_listas View Post
    On 2015-08-06 00:46, hugosyt wrote:
    > site) but gave me an error "installation aborted by user".


    you are using apper. use YaST or zypper instead.
    Strange 'cause i always used Apper and always worked. How do i install it with YaST or/what is the command line for zypper?

    Thanks

  4. #4
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Can't install applications. 13.2

    On 2015-08-06 03:26, hugosyt wrote:
    >>> site) but gave me an error "installation aborted by user".

    >>
    >> you are using apper. use YaST or zypper instead.

    >
    > Strange 'cause i always used Apper and always worked. How do i install
    > it with YaST or/what is the command line for zypper?


    It is a known problem with apper, when it hits some dependencies issues.

    What do you want to install, where is it? If it is in a repo, just start
    yast, module software management, search for the package, install. You
    can also create your own local repository with a local directory, or
    feed the rpm via command line to "yast sw_single..." ...here. Just read
    this thread from a month ago, same question:

    http://forums.opensuse.org/showthread.php?t=508500

    --
    Cheers / Saludos,

    Carlos E. R.

    (from 13.1 x86_64 "Bottle" (Minas Tirith))

  5. #5
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,749

    Default Re: Can't install applications. 13.2

    Appr at best is a toy. It is ok for notifications of updates but as an installer either yast or zypper are far better.

    Also it is far better to install from the repos rather then download some rpm.

    zypper in pathetorpm

  6. #6
    Join Date
    Jan 2013
    Location
    Porto
    Posts
    82

    Default Re: Can't install applications. 13.2

    I'm not trying to install applications through repos (i know how to do that, thanks anyway) but from a downloaded file from teamviewer site.

    I used zypper in and got thir error:

    "Header V4 DSA/SHA1 Signature, key ID 72db573c: NOKEY
    V4 DSA/SHA1 Signature, key ID 72db573c: NOKEY

    teamviewer-10.0.41499-0.i686(Plain RPM files cache): Signature verification failed [4-Signatures public key is not available]"

  7. #7

    Default Re: Can't install applications. 13.2

    Quote Originally Posted by hugosyt View Post
    I used zypper in and got thir error:

    "Header V4 DSA/SHA1 Signature, key ID 72db573c: NOKEY
    V4 DSA/SHA1 Signature, key ID 72db573c: NOKEY

    teamviewer-10.0.41499-0.i686(Plain RPM files cache): Signature verification failed [4-Signatures public key is not available]"
    That's no error, but a warning that the package is not signed with a known key (i.e. you install it at your own risk). And that's probably also the reason why you couldn't install it with Apper (although I do think it should be possible, there's probably some other problem).

    It should have been installed now though.

    Type "zypper se -s teamviewer" or "rpm -q teamviewer" to verify.
    Last edited by wolfi323; 06-Aug-2015 at 05:22.

  8. #8
    Join Date
    Jan 2013
    Location
    Porto
    Posts
    82

    Default Re: Can't install applications. 13.2

    Got this message:

    Loading repository data...
    Reading installed packages...
    No packages found.


  9. #9

    Default Re: Can't install applications. 13.2

    Well, then try with rpm instead:
    Code:
    sudo rpm -ivh teamviewer-10.0.41499-0.i686.rpm
    Btw, you try to install a 32bit package on your 64bit system. Maybe you miss some necessary 32bit libraries?
    But then zypper should have told you about that fact or even installed them automatically.

  10. #10
    Join Date
    Jan 2013
    Location
    Porto
    Posts
    82

    Default Re: Can't install applications. 13.2

    Got this one and some dependencies:

    key ID 72db573c: NOKEY
    error: Failed dependencies:
    libjpeg.so.62 is needed by teamviewer-10.0.41499-0.i686
    libpng12.so.0 is needed by teamviewer-10.0.41499-0.i686
    libSM.so.6 is needed by teamviewer-10.0.41499-0.i686
    libXtst.so.6 is needed by teamviewer-10.0.41499-0.i686

    None of them show in YaST?
    This 32bit package is the only one in their site so i have no other option.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •